<div class="nearby-store row">
    <div class="near-first col-md-9">
        <div class="near-title">
            {{'LABEL_NEAREST_STORES' | translate: lang}} {{'LABEL_NEAREST_FROM' | translate: lang}}
            <i class="material-icons">room</i>
            <span *ngIf="locationDetails && sourceAddress && (siteSettingDetails && siteSettingDetails.isApiKeyExists === 1)">
                 {{sourceAddress}}, {{'LABEL_NEAREST_WITHIN' | translate: lang}} 
            </span>
            <span *ngIf="locationDetails && (siteSettingDetails && siteSettingDetails.isApiKeyExists === 0)">
                {{locationDetails.latitude}} , {{locationDetails.longitude}}
            </span>
            <span class="location-error" *ngIf="!locationDetails && !isLoading">{{'LABEL_LOCATION_NOT_FOUND' | translate: lang}}</span>
            <span class="km-increment">
                <form  #rangeForm="ngForm" (ngSubmit)="updateRangeValue()" >
                    <input name="range" [(ngModel)]="range" id="number"
                        [dynamicWidth]="range"
                        type="number" [minNum]="nearStoreCount.RANGE_MIN_VALUE" [maxNum]="nearStoreCount.RANGE_MAX_VALUE"  />
                    <span class="km-txt near-title">{{'LABEL_KM' | translate: lang}}</span>               
                </form>
            </span>
            </div>
    </div>
    <div class="near-end col-md-3">
        <form #searchForm="ngForm" (ngSubmit)="searchStores(searchString, true)">
            <div class="search-n">
                <input type="text" class="search-bar" name="searchString" [(ngModel)]="searchString" [placeholder]="'LABEL_SEARCH_STORE' | translate: lang">                
                 <div class="input-group-btn input-search-clear">
                    <button (click)="clearSearchStore()" *ngIf="searchString" type="button" class="search-clear" [title]="'CLEAR' | translate:lang">
                        <i class="material-icons">close</i>
                    </button>
                 </div>
                <button (click)="searchStores(searchString, true)" type="submit" class="searchbutton">
                    <i class="fa fa-search"></i>
                </button>
            </div>
        </form>
    </div>
</div>
<div class="store-wrap" *ngIf="locationDetails">
    <div class="row">
        <div class="col-md-4 mb-5" *ngFor="let store of nearByStores">
            <div class="row">
                <div class="col">
                    <div class="store-img" (click)="moveToStoreDetail(store)">
                        <img class="store-img-place" [src]="store.storeImage ? store.storeImage : 'assets/images/default-store.png'" />
                        <span><i class="material-icons">room</i> {{store.storeDistance}}</span>
                    </div>
                </div>
                <div class="col">
                    <div class="store-title">{{store.companyName}}</div>
                    <div class="rating-icon">{{store.vendorRating }} ★</div>
                    <div class="s-address">{{store.addressLineOne}}, <br>{{store.addressLineTwo}}</div>
                    <div class="store-btn">
                        <button (click)="moveToStoreDetail(store)" mat-raised-button color="primary">
                            {{'BUTTON_VIEW_STORE' | translate: lang}}
                        </button>
                    </div>
                </div>
            </div>
        </div>
      
    </div>
    <div class="view-all" *ngIf="nearByStoresCount > nearByStores.length">
        <button (click)="showMoreProduct()" mat-raised-button color="primary">{{'buttonShowMore' | translate: lang}}</button>
    </div>
</div>
<div class="nodata-found-wrap" *ngIf="nearByStoresCount === 0 && !isLoading">
    {{ 'LABEL_NO_STORE' | translate: lang }}
</div>
<div *ngIf="!locationAllowed">
    <div class="nodata-found-wrap">
        <img src="assets/images/location-not-found.png">
        <div>
            <span class="location-error">{{'LABEL_ALLOW' | translate: lang}}</span>
            {{'LABEL_ALLOW_ACCESS' | translate: lang}}
        </div>
    </div>
</div>